unit FRM_Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, DBCtrls, ComCtrls;

type
  TfrmMain = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Memo1: TMemo;
    DBEdit1: TDBEdit;
    Button1: TButton;
    CheckBox1: TCheckBox;
    RichEdit1: TRichEdit;
    cbActive: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure cbActiveClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    constructor Create(AOwner: TComponent); override;
    { Public-Deklarationen }
  end;

var
  frmMain: TfrmMain;

implementation

uses FRM_Client, EditColorHandler;

{$R *.dfm}

constructor TfrmMain.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  with AppEditColorHandler do
  begin

    // TCustomEdit knnte ausreichen
    HandledControls.Add(TCustomEdit);

    // aber man kann auch bestimmte Klassen definieren
    {
    HandledControls.Add(TEdit);
    HandledControls.Add(TMemo);
    }
    FocusColor := clInfoBk;

    AppEditColorHandler.Active := True;
    cbActive.Checked := True;

  end;
end;

procedure TfrmMain.Button1Click(Sender: TObject);
begin
  with TFRMClient.Create(Application) do
    Show;
end;

procedure TfrmMain.cbActiveClick(Sender: TObject);
begin
  AppEditColorHandler.Active := cbActive.Checked;
end;

end.
